commit:     2376be379ba28a6e57a4aaf9e8fab9ad7ce3a5aa
Author:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Thu Dec  1 21:30:23 2022 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Thu Dec  1 21:39:31 2022 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=2376be37

sys-devel/oneDPL: new package, add 2021.7.1

See-also: https://github.com/gentoo/sci/pull/1040
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 sys-devel/oneDPL/metadata.xml           | 11 +++++++
 sys-devel/oneDPL/oneDPL-2021.7.1.ebuild | 57 +++++++++++++++++++++++++++++++++
 2 files changed, 68 insertions(+)

diff --git a/sys-devel/oneDPL/metadata.xml b/sys-devel/oneDPL/metadata.xml
new file mode 100644
index 000000000..5fbeb1b05
--- /dev/null
+++ b/sys-devel/oneDPL/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Gentoo Science Project</name>
+       </maintainer>
+       <upstream>
+               <remote-id type="github">oneapi-src/oneDPL</remote-id>
+       </upstream>
+</pkgmetadata>

diff --git a/sys-devel/oneDPL/oneDPL-2021.7.1.ebuild 
b/sys-devel/oneDPL/oneDPL-2021.7.1.ebuild
new file mode 100644
index 000000000..e9f773726
--- /dev/null
+++ b/sys-devel/oneDPL/oneDPL-2021.7.1.ebuild
@@ -0,0 +1,57 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..11} )
+DOCS_BUILDER="sphinx"
+DOCS_DIR="documentation/library_guide"
+DOCS_AUTODOC=0
+inherit cmake python-any-r1 docs
+
+DESCRIPTION="oneAPI Data Parallel C++ Library"
+HOMEPAGE="https://github.com/oneapi-src/oneDPL";
+SRC_URI="https://github.com/oneapi-src/oneDPL/archive/refs/tags/${P}-release.tar.gz";
+S="${WORKDIR}/${PN}-${P}-release"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions"
+SLOT="0"
+KEYWORDS="~amd64"
+
+#TODO: Figure out how to use the test
+RESTRICT="test"
+
+BDEPEND="virtual/pkgconfig"
+
+DEPEND="
+       sys-devel/DPC++
+       dev-libs/level-zero:=
+       dev-cpp/tbb:=
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+       cmake_src_prepare
+       # Not using the DPC++ compiler doesn't really make sense here
+       export CXX="${ESYSROOT}/usr/lib/llvm/intel/bin/clang"
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DONEDPL_DEVICE_BACKEND="level_zero"
+               -DONEDPL_BACKEND="dpcpp"
+       )
+
+       cmake_src_configure
+}
+
+src_compile() {
+       # Nothing to compile, header only
+       docs_compile
+}
+
+src_install() {
+       einstalldocs
+       dodir /usr/include
+       mv "${S}/include/oneapi" "${ED}/usr/include/" || die
+}

Reply via email to